Retries an uncommitted failed Auto row Id with a new client OperationId from the request body.
POST
/api/workspace/tasks/runtime/queues/{queueId}/selection/operations/{operationId}/retry
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/queues/example/selection/operations/example/retry"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"OperationId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/queues/example/selection/operations/example/retry';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"OperationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/tasks/runtime/queues/example/selection/operations/example/retry \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "OperationId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”queueId
required
string
operationId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Requester identity and Worker are resolved from the current actor, never supplied in this payload.
object
OperationId
string
Examplegenerated
{ "OperationId": "example"}Requester identity and Worker are resolved from the current actor, never supplied in this payload.
object
OperationId
string
Examplegenerated
{ "OperationId": "example"}Requester identity and Worker are resolved from the current actor, never supplied in this payload.
object
OperationId
string
Examplegenerated
{ "OperationId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Safe Queue operation summary. Task, Worker, selector context and payload identities are deliberately absent.
object
Id
string
Status
Durable Queue selection operation state. Pending includes bounded scan continuations.
integer format: int32
Cause
string
PublishedVersionId
string
CorrelationId
string
ReasonCode
string
AttemptCount
integer format: int32
CanRetry
boolean
RequestedAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Status": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}